Add python3 to the containers that run in CI for puppet
Closed, ResolvedPublic

Description

I have put up a patch to add python3 to the puppet CI jobs.
https://gerrit.wikimedia.org/r/c/integration/config/+/471063

I don't seem to have the power to merge that, and I am not familiar with the other procedures needed to deploy.

Bstorm created this task.Nov 6 2018, 6:34 PM
Bstorm triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2018, 6:34 PM

Change 471063 had a related patch set uploaded (by Hashar; owner: Bstorm):
[integration/config@master] operations-puppet: Add python3 to the containers for puppet tests

https://gerrit.wikimedia.org/r/471063

Change 471063 merged by jenkins-bot:
[integration/config@master] operations-puppet: Add python3 to the containers for puppet tests

https://gerrit.wikimedia.org/r/471063

Mentioned in SAL (#wikimedia-releng) [2018-11-07T09:06:19Z] <hashar> building container releng/operations-puppet:0.5.0 for python3 | T208873

Change 472104 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: update operations/puppet stretch job for python3

https://gerrit.wikimedia.org/r/472104

Change 472104 merged by jenkins-bot:
[integration/config@master] jjb: update operations/puppet stretch job for python3

https://gerrit.wikimedia.org/r/472104

Mentioned in SAL (#wikimedia-operations) [2018-11-07T10:06:46Z] <hashar> CI: switched operations/puppet job to be based on Stretch ( T208422 ) and to add python3 ( T208873 )

hashar closed this task as Resolved.Nov 7 2018, 10:20 AM
hashar claimed this task.

The job should have python3 available now.

Bstorm added a comment.Nov 7 2018, 5:50 PM

Thank you!!!